patator_0.7-2_all.deb


Advertisement

Description

patator - Multi-purpose brute-forcer

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename patator_0.7-2_all.deb
Package name patator
Package version 0.7
Package release 2
Package architecture all
Package type deb
Category universe/utils
Homepage https://github.com/lanjelot/patator
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 40.71 KB
Installed size 171.00 KB
Patator is a multi-purpose brute-forcer, with a modular
design and a flexible usage.
Currently it supports the following modules:
+ ftp_login     : Brute-force FTP
+ ssh_login     : Brute-force SSH
+ telnet_login  : Brute-force Telnet
+ smtp_login    : Brute-force SMTP
+ smtp_vrfy     : Enumerate valid users using SMTP VRFY
+ smtp_rcpt     : Enumerate valid users using SMTP RCPT TO
+ finger_lookup : Enumerate valid users using Finger
+ http_fuzz     : Brute-force HTTP
+ ajp_fuzz      : Brute-force AJP
+ pop_login     : Brute-force POP3
+ pop_passd     : Brute-force poppassd (http://netwinsite.com/poppassd/)
+ imap_login    : Brute-force IMAP4
+ ldap_login    : Brute-force LDAP
+ smb_login     : Brute-force SMB
+ smb_lookupsid : Brute-force SMB SID-lookup
+ rlogin_login  : Brute-force rlogin
+ vmauthd_login : Brute-force VMware Authentication Daemon
+ mssql_login   : Brute-force MSSQL
+ mysql_login   : Brute-force MySQL
+ mysql_query   : Brute-force MySQL queries
+ rdp_login     : Brute-force RDP (NLA)
+ pgsql_login   : Brute-force PostgreSQL
+ vnc_login     : Brute-force VNC
+ dns_forward   : Forward DNS lookup
+ dns_reverse   : Reverse DNS lookup
+ snmp_login    : Brute-force SNMP v1/2/3
+ ike_enum      : Enumerate IKE transforms
+ unzip_pass    : Brute-force the password of encrypted ZIP files
+ keystore_pass : Brute-force the password of Java keystore files
+ umbraco_crack : Crack Umbraco HMAC-SHA1 password hashes
+ tcp_fuzz      : Fuzz TCP services
+ dummy_test    : Testing module

Alternatives

Package Version Architecture Repository
patator_0.7-2_all.deb 0.7 all Ubuntu Universe
patator - - -

Requires

Name Value
default-jre -
ldap-utils -
python3-ajpy -
python3-crypto -
python3-dnspython -
python3-ipy -
python3-mysqldb -
python3-openssl -
python3-paramiko -
python3-psycopg2 -
python3-pyasn1 -
python3-pycurl -
python3-pysnmp4 -
python3:any -
unzip -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package patator_0.7-2_all.deb
Source Package patator

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install patator deb package:
    # sudo apt-get install patator

Files

Path
/usr/bin/patator
/usr/lib/python3/dist-packages/patator-0.7.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/patator-0.7.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/patator-0.7.egg-info/requires.txt
/usr/lib/python3/dist-packages/patator-0.7.egg-info/top_level.txt
/usr/share/doc/patator/changelog.Debian.gz
/usr/share/doc/patator/copyright
/usr/share/man/man1/patator.1.gz

Changelog

2018-08-22 - Sophie Brun <sophie@freexian.com>
patator (0.7-2) unstable; urgency=medium
* Team upload.
* Move ike-scan to recommends (only required for one option and not
available for all architectures)
* Drop depends libfreerdp-dev and add Recommends: freerdp2-x11
(option rdp_login requires the command xfreerdp which is provided by
freerdp2-x11)
* Replace libldap-2.4-2 by ldap-utils
(option ldap_login requires the command ldapsearch which is provided
by ldap-utils)
* Bump Standards-Version to 4.2.0 (no change required)
2018-08-03 - Hugo Lefeuvre <hle@debian.org>
patator (0.7-1) unstable; urgency=medium
* New upstream release.
- Port to Python 3.
* Bump debian/compat from 9 to 11.
* debian/control:
- Depend on debhelper >= 11 instead of >= 9.
- Update dependencies to match new upstream release and pybuild port.
- Set priority to optional (extra deprecated since 4.0.1).
- Bump Standards-Version to 4.1.5.
- Update package description to match new upstream release.
* debian/rules: port to pybuild.
* debian/patches/remove-cx-oracle-depencency.patch: cx_oracle dependency
has to be ignored since it depends on non-free libraries.
* Update copyright years.
* Refresh patches for new upstream release.
2017-08-26 - Raphaël Hertzog <hertzog@debian.org>
patator (0.6-3) unstable; urgency=medium
* Team upload.
* Improve usage output.
* Bump Standards-Version to 4.1.0.
* Bump debhelper compat level to 10.
2016-11-03 - Raphaël Hertzog <hertzog@debian.org>
patator (0.6-2) unstable; urgency=medium
[ Gianfranco Costamagna ]
* Team upload.
* Add gbp.conf file
[ Sophie Brun ]
* Drop useless dependency on python-pycryptopp.
2016-07-07 - Hugo Lefeuvre <hle@debian.org>
patator (0.6-1) unstable; urgency=low
* Initial release (Closes: #830322).

See Also

Package Description
patchage_1.0.0~dfsg0-0.2_amd64.deb modular patch bay for Jack audio and Alsa Midi
patchelf_0.9+52.20180509-1_amd64.deb modify properties of ELF executables
pathogen_1.1.1-5_amd64.deb Puzzle game about matching 3D model structures
pathological_1.1.3-15_all.deb puzzle game involving paths and marbles
pathspider_2.0.1-2_amd64.deb Internet path transparency measurement tool
patman_1.2.2+dfsg-5_amd64.deb rapid alignment of short sequences to large databases
patool_1.12-3_all.deb command line archive file manager
patroni-doc_1.5.5-1_all.deb PostgreSQL High Availability (documentation)
patroni_1.5.5-1_all.deb PostgreSQL High Availability with ZooKeeper, etcd, Consul, or Kubernetes
paulstretch_2.2-2-4_amd64.deb Extreme sound time-stretch
pavucontrol-qt-l10n_0.14.1-1ubuntu1_all.deb Language package for pavucontrol-qt
pavucontrol-qt_0.14.1-1ubuntu1_amd64.deb Qt port of volume control pavucontrol
pavucontrol_3.0-4_amd64.deb PulseAudio Volume Control
pavumeter_0.9.3-4build2_amd64.deb PulseAudio Volume Meter
paw++_2.14.04.dfsg.2-9.1build3_amd64.deb Physics Analysis Workstation (Lesstif-enhanced version)
Advertisement
Advertisement